Bug 889 - Odbc select corrupts strings longer than 126 symbols.
Summary: Odbc select corrupts strings longer than 126 symbols.
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Data (show other bugs)
Version: 2.8.x
Hardware: PC Linux
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-09-19 04:29 UTC by imperec
Modified: 2018-02-22 22:36 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Monodevelop solution for bur reproduction. (5.93 KB, application/zip)
2011-09-19 04:29 UTC, imperec
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description imperec 2011-09-19 04:29:14 UTC
Created attachment 416 [details]
Monodevelop solution for bur reproduction.

OS: OpenSuse i586
Odbc select returns corrupted strings if they are longer then 126 symbols.
Reproduction code in attachement. 
Bug not presented in mono-data-2.8.1-36.1
Bug presented in mono-data-2.8.2-0.2.3 and newer versions till latest nightly builds of mono-data(2.11).
// Runing test case.
# mono StringBugTestCase.exe
qwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiop
qwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwerty甀椀漀瀀焀眀攀爀琀礀甀椀漀瀀

// Check insert.
mysql> use test
Database changed
mysql> SELECT str FROM test WHERE str LIKE "%";
+----------------------------------------------------------------------------------------------------------------------------------------------+
| str                                                                                                                                          |
+----------------------------------------------------------------------------------------------------------------------------------------------+
| qwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiopqwertyuiop |
+----------------------------------------------------------------------------------------------------------------------------------------------+
1 row in set (0.00 sec)
Comment 1 Marek Safar 2018-02-22 22:36:13 UTC
Mono 5.10 has significantly improved System.Data implementation which should resolve this issue. If you can still reproduce it please reopen the issue.